PO4A-TRANSLATE.1P(1)

NUME
po4a-translate - convertește un fișier PO înapoi în formatul documentației

SINOPSIS
po4a-translate -f fmt -m principal.doc -p XX.po -l XX.doc

(XX.doc este ieșirea, toate celelalte sunt intrările)

DESCRIERE
Scopul proiectului po4a (PO pentru orice) este de a ușura traducerile (și mai interesant, întreținerea traducerilor) folosind instrumente gettext în domenii în care nu erau așteptate, cum ar fi documentația.

Scriptul po4a-translate are sarcina de a converti traducerea (care a fost realizată într-un fișier PO) înapoi în formatul documentației. Fișierul PO furnizat trebuie să fie traducerea fișierului POT care a fost produs de po4a-gettextize(1).

OPȚIUNI

-f, --format
    Formatul documentației pe care doriți să o gestionați. Utilizați opțiunea --help-format pentru a vedea lista de formate disponibile.

-a, --addendum
    Adaugă un fișier la fișierul rezultat (pentru a pune numele traducătorului sau o secțiune „Despre această traducere”, de exemplu). Primul rând al fișierului de inserat trebuie să fie un antet PO4A care să indice unde trebuie adăugat (a se vedea secțiunea CUM se adaugă text suplimentar la traduceri în po4a(7)).

-A, --addendum-charset
    Setul de caractere al addendei. Rețineți că toate addendele trebuie să fie în același set de caractere.

-m, --master
    Fișierul care conține documentul principal de tradus.

-M, --master-charset
    Setul de caractere al fișierului care conține documentul de tradus.

-l, --localized
    Fișierul în care trebuie să fie scris documentul localizat (tradus).

-L, --localized-charset
    Setul de caractere al fișierului care conține documentul localizat.

-p, --po
    Fișier din care trebuie să fie citit catalogul de mesaje.

-o, --option
    Opțiuni suplimentare pe care să le transmiteți modulului de format. Consultați documentația fiecărui modul pentru mai multe informații despre opțiunile valide și semnificațiile acestora. De exemplu, ați putea transmite „-o tablecells” analizatorului AsciiDoc, în timp ce analizatorul de text ar accepta „-o tabs=split”.

-k, --keep
    Pragul minim al procentului de traducere pentru a păstra (adică a scrie) fișierul rezultat (implicit: 80). Adică, în mod implicit, fișierele trebuie să fie traduse la cel puțin 80% pentru a fi scrise.

-w, --width
    Coloana la care ar trebui să încadrăm fișierul rezultat dacă formatul acceptă acest lucru (implicit: 76). Dacă valoarea furnizată este 0 sau negativă, atunci fișierul rezultat nu va fi încadrat deloc. Acest lucru este util în cazul anumitor formate care s-ar putea rupe atunci când sunt re-încadrate.

-h, --help
    Afișează un scurt mesaj de ajutor.

--help-format
    Enumeră formatele de documentație înțelese de po4a.

-V, --version
    Afișează versiunea scriptului și iese.

-v, --verbose
    Crește nivelul de detaliere al programului.

-d, --debug
    Afișează unele informații de depanare.

Adăugarea de conținut (pe lângă traduceri) la fișierele generate
Pentru a adăuga un conținut suplimentar la documentul generat, pe lângă ceea ce ați tradus (cum ar fi numele traducătorului sau o secțiune „Despre această traducere”), trebuie să utilizați opțiunea --addendum.

Prima linie a addendumului trebuie să fie un antet care să indice locul în document (poate fi înainte sau după o anumită parte a documentului). Restul fișierului va fi adăugat textual la fișierul rezultat, fără prelucrare suplimentară.

Rețineți că, în cazul în care po4a-translate nu reușește să adauge unul dintre fișierele date, aceasta respinge întreaga traducere (deoarece fișierul lipsă ar putea fi cel care indică autorul, ceea ce ar împiedica utilizatorii să îl contacteze pentru a raporta erori în traducere).

Antetul are o sintaxă destul de rigidă. Pentru mai multe informații despre cum să utilizați această caracteristică și cum funcționează, consultați pagina de manual po4a(7).

CONSULTAȚI ȘI
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DREPTURI DE AUTOR și LICENȚĂ
Drepturi de autor 2002-2023 pentru SPI, inc.

Acest program este software liber; îl puteți redistribui și/sau modifica în conformitate cu termenii GPL v2.0 sau o versiune ulterioară (consultați fișierul COPYING).